

**correlations for the strength of parliament**

spearman strength strength_auel finance_stab_prep europe_stab_prep finance_NRP_prep europe_NRP_prep if Year==2012, pw star(.05)
spearman strength strength_auel finance_stab_expost europe_stab_expost finance_NRP_expost europe_NRP_expost if Year==2012, pw star(.05)

spearman strength strength_auel finance_stab_prep europe_stab_prep finance_NRP_prep europe_NRP_prep if Year==2015, pw star(.05)
spearman strength strength_auel finance_stab_expost europe_stab_expost finance_NRP_expost europe_NRP_expost if Year==2015, pw star(.05)


spearman strength strength_auel finance_stab_prep europe_stab_prep finance_NRP_prep europe_NRP_prep if Year==2012, pw star(.05)


**correlations for euro skepticism**
spearman euroout eurono BetterOutsideEU finance_stab_prep europe_stab_prep finance_NRP_prep europe_NRP_prep if Year==2012, pw star(.05)
spearman euroout eurono BetterOutsideEU finance_stab_expost europe_stab_expost finance_NRP_expost europe_NRP_expost if Year==2012, pw star(.05)

spearman euroout eurono BetterOutsideEU finance_stab_prep europe_stab_prep finance_NRP_prep europe_NRP_prep if Year==2015, pw star(.05)
spearman euroout eurono BetterOutsideEU finance_stab_expost europe_stab_expost finance_NRP_expost europe_NRP_expost if Year==2015, pw star(.05)

**probits**
**Note: Graph 3b will not compute because being a Eurono perfectly predicts the outcome if eurono is included.**
**Budget, SGP, Ex ante**

set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit finance_stab_prep strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("Budget", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph1a, replace)

**Europe, SGP, Ex ante**

set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit europe_stab_prep strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("EU Affairs", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph1b, replace)

**Budget, NRP, Ex ante**

set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit finance_NRP_prep strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("Budget", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph2a, replace)

**Europe, NRP, Ex ante**

set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit europe_NRP_prep strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("EU Affairs", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph2b, replace)



**Budget, SCP, Ex Post**

set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit finance_stab_expost strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("Budget", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph3a, replace)

**Europe, SCP, Ex Post**
set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit europe_stab_expost strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("EU Affairs", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph3b, replace)

**Budget, NRP, Ex Post**
set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit finance_NRP_expost strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("Budget", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph4a, replace)

**EU Affairs, NRP, Ex Post**
set more off
use "/Users/markhallerberg/Dropbox/EU Semester/Final Dataset Hallerberg Marzinotto Wolff 2016.dta", clear

probit europe_NRP_expost strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015, cluster(country)

margins, dydx(strength_std strength_auel i.euroout c.BetterOutsideEU_00 i.year_2015) /*
*/ level(95) vsquish post saving(margout, replace)

use margout, clear
egen deriv = group(_deriv), label

twoway scatter deriv _margin, yscale(reverse) graphregion(color(white)) xlabel(-1 -.8 -.6 -.4 -.2 0 .2 .4 .6 .8 1, nogrid) xline(0, lcolor(gs12) lpattern(shortdash)) /*
*/ xmticks(-.5 -.3 -.1 .1 .3 .5) xtitle("Average Marginal Effects", color(white) margin(tiny)) /*
*/ title("EU Affairs", color(black) margin(medsmall) size(medsmall)) /*
*/ ytitle("") ylabel(, nogrid) ylabel(1 "Budget Str" 2 "EU Affairs Str" 3 "Euro Out" 4 "Better Out EU" 5 "2015", angle(0))  /*
*/ legend(off) msymbol(0) mcolor(navy) || /*
*/ rspike _ci_ub _ci_lb deriv, lcolor(navy) horizontal name(graph4b, replace)

graph combine graph1a graph1b, imargin(vsmall) graphregion(color(white) lwidth(thin)) /*
*/ rows(1) xsize(4) ysize(5.5) title("Ex Ante, SCP", color(black) margin(medsmall) size(small)) name(graph1abcd, replace)

graph combine graph2a graph2b, imargin(vsmall) graphregion(color(white) lwidth(thin)) /*
*/ rows(1) xsize(4) ysize(5.5) title("Ex Ante, NRP", color(black) margin(medsmall) size(small)) name(graph2abcd, replace)

graph combine graph3a graph3b, imargin(vsmall) graphregion(color(white) lwidth(thin)) /*
*/ rows(1) xsize(4) ysize(5.5) title("Ex Post, SCP", color(black) margin(medsmall) size(small)) name(graph3abcd, replace)

graph combine graph4a graph4b, imargin(vsmall) graphregion(color(white) lwidth(thin)) /*
*/ rows(1) xsize(4) ysize(5.5) title("Ex Post, NRP", color(black) margin(medsmall) size(small)) name(graph4abcd, replace)

graph combine graph1abcd graph2abcd graph3abcd graph4abcd, imargin(vsmall) graphregion(color(white) lwidth(thin)) /*
*/ rows(2) xsize(4) ysize(2) title("Prediction of Debate, By Committee, Type of Plan, and Timing", color(black) margin(medsmall) size(small)) name(graph12abcd, replace) scale(1.25)
